<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        var blog = {
            domain: 'Google.com',
            author: 'Google',
            showWebsite : function(callbackFunction){
                callbackFunction();
            },
            render : function(){
                this.showWebsite(function (){
                    console.log(this);
                    console.log(this.domain);
                    console.log(this.author);
                }.bind(this))
            }
        };
        blog.render();  
    </script>
</body>
</html>